cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From yas...@apache.org
Subject git commit: updated refs/heads/4.2 to 122761d
Date Tue, 11 Mar 2014 23:16:30 GMT
Repository: cloudstack
Updated Branches:
  refs/heads/4.2 eb2f323c4 -> 122761db3


CLOUDSTACK-5986: Fix dnsmasq lease for VPC


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/122761db
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/122761db
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/122761db

Branch: refs/heads/4.2
Commit: 122761db348d06214105f7a4abc37ea8685372b7
Parents: eb2f323
Author: Sheng Yang <sheng.yang@citrix.com>
Authored: Tue Mar 11 16:13:30 2014 -0700
Committer: Sheng Yang <sheng.yang@citrix.com>
Committed: Tue Mar 11 16:16:15 2014 -0700

----------------------------------------------------------------------
 .../systemvm/debian/config/etc/init.d/cloud-early-config  | 10 ++++++++++
 1 file changed, 10 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/122761db/patches/systemvm/debian/config/etc/init.d/cloud-early-config
----------------------------------------------------------------------
diff --git a/patches/systemvm/debian/config/etc/init.d/cloud-early-config b/patches/systemvm/debian/config/etc/init.d/cloud-early-config
index 2c9fcbd..203920f 100755
--- a/patches/systemvm/debian/config/etc/init.d/cloud-early-config
+++ b/patches/systemvm/debian/config/etc/init.d/cloud-early-config
@@ -1029,6 +1029,16 @@ EOF
   sed -r -i s/^[#]?domain=.*$/domain=$DOMAIN/ /etc/dnsmasq.conf
   #answer all local domain queries
   sed  -i -e "s/^[#]*local=.*$/local=\/$DOMAIN\//" /etc/dnsmasq.conf
+
+  command -v dhcp_release > /dev/null 2>&1
+  no_dhcp_release=$?
+  if [ $no_dhcp_release -eq 0 ]
+  then
+      echo 1 > /var/cache/cloud/dnsmasq_managed_lease
+      sed -i -e "/^leasefile-ro/d" /etc/dnsmasq.conf
+  else
+      echo 0 > /var/cache/cloud/dnsmasq_managed_lease
+  fi
 }
 
 


Mime
View raw message